#include "./source/PlatformSpecific/inc/GOC.h"
#include "./source/PlatformSpecific/inc/DeviceInput.h"

void GOC::Initialize()
{
	/* 
		Initialize your game scene, and game variables here. 
	*/
}

void GOC::Update(TimeGOC *timeGOC_p, InputEngine *input_p)
{
    /* 
		Update your game scenes, check for collisions, check for input
		and play sounds here.
	*/
}

void GOC::IndepedentUpdate(TimeGOC* timeGOC_p, InputEngine* input_p)
{
    /* 
		Update your game scenes, check for collisions, check for input
		and play sounds here.
	*/
}

void GOC::Destroy()
{
	/* 
		Clean up after your game here.
	*/
}

#ifdef _WIN32
    // Define the windows main funciton.
    int WINAPI WinMain(HINSTANCE hInstance, 
                       HINSTANCE hPrevInstance, 
                       LPSTR lpCmdLine, 
                       int nCmdShow)
#else
    // Define the ubutnu main function.
    int main(int argc, char **argv)
#endif
    {
        #ifdef _WIN32
            // Start the GOC on windows.
            GOC::goc_i()->LoadGOC(hInstance);
        #else
            // Start the GOC on ubuntu.
            GOC::goc_i()->LoadGOC();
        #endif
   
        return 0;
    }
